## org.apache.commons.collections.bag
Class AbstractMapBag.MutableInteger

    java.lang.Object
      org.apache.commons.collections.bag.AbstractMapBag.MutableInteger

Enclosing class:
  AbstractMapBag

protected static class AbstractMapBag.MutableInteger
extends Object

Mutable integer class for storing the data.

Field Summary
`protected int` `value` The value of this mutable.

Method Summary
`boolean` `equals(Object obj)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected int value

  The value of this mutable.

Method Detail

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.